
Understanding Society User Support - Support #2268

Code Creator temp file

08/03/2025 09:17 PM - Ziran Wei

Status: Feedback Start date: 08/03/2025

Priority: Normal % Done: 70%

Assignee: Understanding Society  User Support

Team

  

Category: Code Creator   

Description

Dear Understanding Society support team,

I am Ziran Wei, and I am quite new to this dataset. I am using the Code Creator to select some variables to do a trial run for my

research (namely diabetestypn hcond14 hcondn14 hconds14 jspayu). The problem, however, is when I run the code given (the

filepath of course modified), Stata appears to show file temp_a.dta not found. I wonder what I have done wrong and how to make it

work.

Best regards.

History

#1 - 08/04/2025 03:15 PM - Understanding Society  User Support Team

- Status changed from New to Feedback

- % Done changed from 0 to 70

- Private changed from Yes to No

Hello,

The file you're looking for, temp_a.dta, is automatically deleted in the last loop in the code (around line 170). If you don't change anything in the code

except the paths at the beginning, the outcome file will be named UKHLS_wide_hij.dta (here for the wide format). Let us know if this explains the

issue.

Best wishes,

UKHLS User Support

#2 - 08/04/2025 04:48 PM - Ziran Wei

Hi UKHLS User Support

My problem is that the temp file was never created from the first place I believe, the warning of temp_a.dta not found is first seen here:

use pidp `firstvar' using "temp_`firstWave'", clear

file temp_a.dta not found

rather in the last loop.

Best Regards,

Ziran

#3 - 08/04/2025 05:10 PM - Understanding Society  User Support Team

- File 2268.do added

Hi Ziran,

I get the code in the attached file when I try your combination of variables. It works for us, can you check it works for you?

Best wishes,

UKHLS User Support

#4 - 08/04/2025 05:28 PM - Ziran Wei

Hi,UKHLS User Support

The same problem appears it seems.
I am really confused right now.

Best regards,

Ziran

#5 - 08/04/2025 06:17 PM - Ziran Wei

- File 1.PNG added

Dear UKHLS User Support

I am adding this screenshot to show where I think the problem is.

Best Regards,

Ziran

Files

2268.do 8.03 KB 08/04/2025 Understanding Society  User Support Team

1.PNG 10.1 KB 08/04/2025 Ziran Wei
